GETMAXPARTITIONS(3)

NAME
getmaxpartitions - get the maximum number of partitions allowed per disk

LIBRARY
libutil

SYNOPSIS
#include <util.h>
int
getmaxpartitions(void);

DESCRIPTION
getmaxpartitions() returns the number of partitions that are allowed per disk on the system, or -1 in case of an error, setting the global errno variable. The possible values for errno are the same as in sysctl(3).

SEE ALSO
getrawpartition(3), sysctl(3)

HISTORY
The getmaxpartitions() function call appeared in NetBSD 1.2.